# Standard library header <clocale>

From cppreference.com
< cpp‎ | header

This header was originally in the C standard library as `<locale.h>`.

This header is part of the localization library

### Types

lconv | formatting details, returned by std::localeconv (class)

### Constants

NULL | implementation-defined null pointer constant (macro constant)
LC_ALL LC_COLLATE LC_CTYPE LC_MONETARY LC_NUMERIC LC_TIME | locale categories for std::setlocale (macro constant)

### Functions

setlocale | gets and sets the current C locale (function)
localeconv | queries numeric and monetary formatting details of the current locale (function)

### Notes

- NULL is also defined in the following headers:
  - `<cstring>`
  - `<ctime>`
  - `<cstddef>`
  - `<cstdio>`
  - `<cwchar>`

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/header/clocale&oldid=105125"